<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'suresh',

    /*
     * Package.
     */
    'package'   => 'university',

    /*
     * Modules.
     */
    'modules'   => ['university'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'university'       => [
        'model' => [
            'model'                 => \Suresh\University\Models\University::class,
            'table'                 => 'universities',
            'presenter'             => \Suresh\University\Repositories\Presenter\UniversityItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', 'university_name',  'Description'],
            'translatables'         => [],
            'upload_folder'         => 'university/university',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Suresh',
            'package'   => 'University',
            'module'    => 'University',
        ],

    ],
];
